﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TestDialogs
{
    public partial class Dialog2 : Form
    {
        public Dialog2()
        {
            InitializeComponent();
        }

        public string MyValue
        {
            get { return textBox1.Text; }
        }

        private void buttonClose_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void Dialog2_Validated(object sender, EventArgs e)
        {
            Console.WriteLine("Dialog2 validated");
        }

        private void Dialog2_Validating(object sender, CancelEventArgs e)
        {
            Console.WriteLine("Dialog2 validating");
        }

        private void Dialog2_Shown(object sender, EventArgs e)
        {
            Console.WriteLine("Dialog2 shown, visible: " + this.Visible.ToString());
        }

        private void Dialog2_FormClosing(object sender, FormClosingEventArgs e)
        {
            Console.WriteLine("Dialog2 closing");
            if (e.CloseReason != CloseReason.UserClosing)
                MessageBox.Show("Dialog2 closing (not by user)", "Info", MessageBoxButtons.OK, MessageBoxIcon.Information);
            else
                MessageBox.Show("Dialog2 closed by user", "Info", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }

        private void Dialog2_Activated(object sender, EventArgs e)
        {
            Console.WriteLine("Dialog2 activated, visible: " + this.Visible.ToString());
        }
    }
}