﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TestDialogs
{
    public partial class Form1 : Form
    {
        Dialog1 dialog1;
        Dialog2 dialog2;

        public Form1()
        {
            InitializeComponent();
            dialog1 = new Dialog1();
            dialog2 = new Dialog2();
        }

        private void buttonShow1_Click(object sender, EventArgs e)
        {
            dialog1.ShowDialog(this);
        }

        private void buttonShow2_Click(object sender, EventArgs e)
        {
            dialog2.ShowDialog(this);
        }

        private void buttonExit_Click(object sender, EventArgs e)
        {
            string msg = string.Format("Value of dialog 1: {0}", dialog1.MyValue) + Environment.NewLine +
                         string.Format("Value of dialog 2: {0}", dialog2.MyValue);
            MessageBox.Show(msg, "Info", MessageBoxButtons.OK, MessageBoxIcon.Information);
            dialog1.Close();
            dialog2.Close();
            this.Close();
        }
    }
}